Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# AudioSound Class Reference

Inheritance diagram for AudioSound:

List of all members.

## Public Types
enum | SoundStatus { BAD = 0, READY = 1, PLAYING = 2 }
## Public Member Functions
bool | configureFilters (FilterProperties config)
float | get3dMaxDistance ()
float | get3dMinDistance ()
bool | getActive ()
float | getBalance ()
string | getFinishedEvent ()
bool | getLoop ()
unsigned long int | getLoopCount ()
string | getName ()
float | getPlayRate ()
int | getPriority ()
float | getSpeakerLevel (int index)
float | getSpeakerMix (int speaker)
float | getTime ()
float | getVolume ()
float | length ()
| output (ostream out)
| play ()
| set3dAttributes (float px, float py, float pz, float vx, float vy, float vz)
| set3dMaxDistance (float dist)
| set3dMinDistance (float dist)
| setActive (bool flag)
| setActive ()
| setBalance ()
| setBalance (float balance_right)
| setFinishedEvent (string event)
| setLoop ()
| setLoop (bool loop)
| setLoopCount (unsigned long int loop_count)
| setLoopCount ()
| setPlayRate (float play_rate)
| setPlayRate ()
| setPriority (int priority)
| setSpeakerLevels (float level1, float level2, float level3)
| setSpeakerLevels (float level1, float level2, float level3, float level4, float level5, float level6, float level7)
| setSpeakerLevels (float level1, float level2, float level3, float level4)
| setSpeakerLevels (float level1, float level2, float level3, float level4, float level5, float level6, float level7, float level8, float level9)
| setSpeakerLevels (float level1, float level2, float level3, float level4, float level5, float level6)
| setSpeakerLevels (float level1, float level2, float level3, float level4, float level5)
| setSpeakerLevels (float level1)
| setSpeakerLevels (float level1, float level2)
| setSpeakerLevels (float level1, float level2, float level3, float level4, float level5, float level6, float level7, float level8)
| setSpeakerMix (float frontleft, float frontright, float center, float sub, float backleft, float backright, float sideleft, float sideright)
| setTime (float start_time)
| setTime ()
| setVolume (float volume)
| setVolume ()
SoundStatus | status ()
| stop ()
| write (ostream out)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Member Enumeration Documentation

enum SoundStatus

Enumerator:

  BAD |
  READY |
  PLAYING |

## Member Function Documentation

bool configureFilters | ( | FilterProperties | config | ) |

float get3dMaxDistance | ( |  | ) |

float get3dMinDistance | ( |  | ) |

bool getActive | ( |  | ) |

float getBalance | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

string getFinishedEvent | ( |  | ) |

bool getLoop | ( |  | ) |

unsigned long int getLoopCount | ( |  | ) |

string getName | ( |  | ) |

float getPlayRate | ( |  | ) |

int getPriority | ( |  | ) |

float getSpeakerLevel | ( | int | index | ) |

float getSpeakerMix | ( | int | speaker | ) |

float getTime | ( |  | ) |

float getVolume | ( |  | ) |

float length | ( |  | ) |

output | ( | ostream | out | ) |

play | ( |  | ) |

set3dAttributes | ( | float | px,
|  | float | py,
|  | float | pz,
|  | float | vx,
|  | float | vy,
|  | float | vz
| ) |  |

set3dMaxDistance | ( | float | dist | ) |

set3dMinDistance | ( | float | dist | ) |

setActive | ( | bool | flag | ) |

setActive | ( |  | ) |

setBalance | ( |  | ) |

setBalance | ( | float | balance_right | ) |

setFinishedEvent | ( | string | event | ) |

setLoop | ( |  | ) |

setLoop | ( | bool | loop | ) |

setLoopCount | ( |  | ) |

setLoopCount | ( | unsigned long int | loop_count | ) |

setPlayRate | ( | float | play_rate | ) |

setPlayRate | ( |  | ) |

setPriority | ( | int | priority | ) |

setSpeakerLevels | ( | float | level1,
|  | float | level2,
|  | float | level3
| ) |  |

setSpeakerLevels | ( | float | level1,
|  | float | level2,
|  | float | level3,
|  | float | level4,
|  | float | level5,
|  | float | level6,
|  | float | level7
| ) |  |

setSpeakerLevels | ( | float | level1,
|  | float | level2,
|  | float | level3,
|  | float | level4
| ) |  |

setSpeakerLevels | ( | float | level1,
|  | float | level2,
|  | float | level3,
|  | float | level4,
|  | float | level5,
|  | float | level6,
|  | float | level7,
|  | float | level8,
|  | float | level9
| ) |  |

setSpeakerLevels | ( | float | level1,
|  | float | level2,
|  | float | level3,
|  | float | level4,
|  | float | level5,
|  | float | level6
| ) |  |

setSpeakerLevels | ( | float | level1,
|  | float | level2,
|  | float | level3,
|  | float | level4,
|  | float | level5
| ) |  |

setSpeakerLevels | ( | float | level1 | ) |

setSpeakerLevels | ( | float | level1,
|  | float | level2,
|  | float | level3,
|  | float | level4,
|  | float | level5,
|  | float | level6,
|  | float | level7,
|  | float | level8
| ) |  |

setSpeakerLevels | ( | float | level1,
|  | float | level2
| ) |  |

setSpeakerMix | ( | float | frontleft,
|  | float | frontright,
|  | float | center,
|  | float | sub,
|  | float | backleft,
|  | float | backright,
|  | float | sideleft,
|  | float | sideright
| ) |  |

setTime | ( |  | ) |

setTime | ( | float | start_time | ) |

setVolume | ( | float | volume | ) |

setVolume | ( |  | ) |

SoundStatus status | ( |  | ) |

stop | ( |  | ) |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties